Package com.google.android.exoplayer2.upstream.cache

## Class Cache.CacheException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.upstream.cache.Cache.CacheException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `CacheDataSink.CacheDataSinkException`
  Enclosing interface:
    Cache

      public static class Cache.CacheException
      extends IOException

  Thrown when an error is encountered when writing data.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CacheException​(String message)` |
    `CacheException​(String message, Throwable cause)` |
    `CacheException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheException

          public CacheException​(String message)

    - #### CacheException

          public CacheException​(Throwable cause)

    - #### CacheException

          public CacheException​(String message,
                                Throwable cause)